Subject: [bug#46049] [PATCH] services: nginx: Add ssl-protocols option.

From: Jonathan Brielmaier <[email-masked]>
Date: Sat, 23 Jan 2021 11:07:50 +0100

I tested this change in multiple setups on my production server and I
could not find any grave issues, apart from maybe warnings about
duplication if you self setted this option via `raw-content`.

The default settings is accordingly to Mozillas "Intermediate"
configuration for nginx: https://ssl-config.mozilla.org

I would also like to implement an option with good defaults for
`ssl_ciphers` if you have ideas how to do that in a nice way speak up :)